{
  "format_version": "1.12",
  "minecraft:recipe_shaped": {
    "description": {
      "identifier": "energistics_expansion:compressor"
    },
    "tags": [ "crafting_table" ],
    "pattern": [
      "ABA",
      "BDB",
      "ABA"
    ],
    "key": {
      "A": {
        "item": "minecraft:smooth_stone"
      },
      "B": {
        "item": "minecraft:iron_block"
      },
      "D": {
        "item": "minecraft:redstone_block"
      }
    },
    "unlock": [
      {
        "item": "minecraft:iron_ingot"
      }
    ],
    "result": {
      "item": "energistics_expansion:compressor",
      "count": 1
    }
  }
}